Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.integration
Class HornetqBootstrapListener

    java.lang.Object
      org.hornetq.rest.integration.HornetqBootstrapListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

    public class HornetqBootstrapListener

extends java.lang.Object
implements javax.servlet.ServletContextListener

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`HornetqBootstrapListener()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)`
`void` | `contextInitialized(javax.servlet.ServletContextEvent contextEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HornetqBootstrapListener

    public HornetqBootstrapListener()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent contextEvent)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.